Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 04:33
All times are UTC - 4
 Forum index » Off-Topic Area » Security
Problems using Clamav in Puppy Wary 5.3
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [11 Posts]  
Author Message
VictorVictor5

Joined: 23 May 2012
Posts: 131

PostPosted: Thu 03 Jan 2013, 20:32    Post subject:  Problems using Clamav in Puppy Wary 5.3  

Greetings,

I'm referencing my other post, but maybe it's more appropriate here: http://www.murga-linux.com/puppy/viewtopic.php?t=82963

Basically I did install Clamav, but I am trying to add it to the menu/desktop, trying to figure out how to update it, and wondering why it spits out warnings when I run it.

Any help would be appreciated.

Thanks!
VV5
Back to top
View user's profile Send private message 
postfs1


Joined: 27 Mar 2010
Posts: 831

PostPosted: Fri 04 Jan 2013, 19:14    Post subject:  

video -=clamAV antivirus=-
Arrow www.youtube.com/watch?v=6D5OuS3G5N0

Information about package
Arrow http://puppylinux.org/wikka/software


Some distributions have the fresh versions of Clamav
Arrow www.clamav.net/lang/en/download/packages/packages-linux/

_________________
  • I don't know why laboratories are named a hospitals.
  • The alive personage is like a tea bag with granules of unknown density inside, at that one the packet was made of organic material and was placed in the evaporated liquid or liquid.

Back to top
View user's profile Send private message 
VictorVictor5

Joined: 23 May 2012
Posts: 131

PostPosted: Fri 04 Jan 2013, 21:56    Post subject:  

postfs1

Thanks for the post, but I've tried the link from clamav already and it doesn't have a puppy link. I checked the youtube video and it doesn't list the URL where it got the latest pet version.

I'm using Wary 5.3 if that helps.

Thanks!
VV5
Back to top
View user's profile Send private message 
postfs1


Joined: 27 Mar 2010
Posts: 831

PostPosted: Fri 04 Jan 2013, 21:58    Post subject:  

The latest version for WARY Arrow clamav-0.97.3-w-20111019.pet

Options for compiling in WARY are shown here Arrow http://puppylinux.org/wikka/clamav

Fresh version of program is here Arrow http://www.clamav.net/lang/en/download/sources/

_________________
  • I don't know why laboratories are named a hospitals.
  • The alive personage is like a tea bag with granules of unknown density inside, at that one the packet was made of organic material and was placed in the evaporated liquid or liquid.


Last edited by postfs1 on Fri 04 Jan 2013, 22:09; edited 2 times in total
Back to top
View user's profile Send private message 
VictorVictor5

Joined: 23 May 2012
Posts: 131

PostPosted: Fri 04 Jan 2013, 22:06    Post subject:  

I have that one installed, but when I run it, clamav complains that it's outdated and that it needs 0.97.6, but when I run that (0.97.6) it says I need GLIBC_2.15.

I don't know what that is - or if I can install it. I'm still a noob, but getting better.
Back to top
View user's profile Send private message 
postfs1


Joined: 27 Mar 2010
Posts: 831

PostPosted: Fri 04 Jan 2013, 22:11    Post subject:  

clamav-0.97.6-up-20120924.pet is for PuppyPrecise
_________________
  • I don't know why laboratories are named a hospitals.
  • The alive personage is like a tea bag with granules of unknown density inside, at that one the packet was made of organic material and was placed in the evaporated liquid or liquid.

Back to top
View user's profile Send private message 
VictorVictor5

Joined: 23 May 2012
Posts: 131

PostPosted: Fri 04 Jan 2013, 22:12    Post subject:  

Oh I see - so just disregard that message?

Do you know when an updated one will be made for Wary 5.3?
Back to top
View user's profile Send private message 
postfs1


Joined: 27 Mar 2010
Posts: 831

PostPosted: Fri 04 Jan 2013, 22:32    Post subject:  

VictorVictor5 wrote:
Oh I see - so just disregard that message?


Arrow http://www.clamav.net/lang/en/faq/faq-upgrade/
Information about the Internet page: © 2002 - 2009 - ClamAV® All rights reserved. ClamAV is a registered trademark of Sourcefire Inc.
All content on this website, unless otherwise noted, is licensed under the Creative Commons Attribution-NoDerivs Licence.

VictorVictor5 wrote:

Do you know when an updated one will be made for Wary 5.3?


The knowing is here:
Arrow puppylinux.org/wikka/clamav
Arrow distro.ibiblio.org/quirky/pet_packages-wary5/

_________________
  • I don't know why laboratories are named a hospitals.
  • The alive personage is like a tea bag with granules of unknown density inside, at that one the packet was made of organic material and was placed in the evaporated liquid or liquid.

Back to top
View user's profile Send private message 
yorkiesnorkie


Joined: 04 Jun 2007
Posts: 505
Location: George's Island

PostPosted: Sat 05 Jan 2013, 07:38    Post subject: ClamAV in Puppy Linux  

Hi,

I don't know who made the clamav-0.97.6-up-20120924.pet or if it was pre-configured.

You may want to read my previous post http://www.murga-linux.com/puppy/viewtopic.php?t=57630 which contained a bit of information on the last version I compiled for Puppy Linux 5.2.8.

NOTE: The version I compiled had pre configured conf files. If that isn't done ClamAV will report errors when you run it from the terminal.

ClamAV is a command line application, that's why you don't get an icon. You could make one, and possibly link it to a bash script to both update and run it. I've never written a bash script I just run it from the terminal. There is no GUI but It isn't hard to use. That may be more than your user would want to do, so maybe Avast might be a better choice.

Basically, a "pet" is a package containing a compiled version of a program. Usually, they have to be compiled for your system, which happens to be Wary.

The puppy packages are here [url]Index of ftp://distro.ibiblio.org/puppylinux/[/url] This is an index of everything that is available, including other versions of puppy. You can download pets, iso files, libs etc for various versions.

That pet of ClamAV is not there. You've been pointed to the source and compiling for Wary but your probably not quite ready to compile it yourself is my guess. I can give you a bit of help with that if you want to try. However let me track down the clamav-0.97.6-up-20120924.pet and see if it can be used with Wary. It may just need configuring.

Greg
Smile

_________________
www.busygamemaster.com
Back to top
View user's profile Send private message 
yorkiesnorkie


Joined: 04 Jun 2007
Posts: 505
Location: George's Island

PostPosted: Sat 05 Jan 2013, 07:48    Post subject:  

Ok the URL for the 0.97.6 pet is http://puppylinux.org/wikka/clamav

I notice that they give the compile line used to make the pet package.
Code:
./configure CFLAGS="-mtune=generic -O2 -pipe -fomit-frame-pointer" CXXFLAGS="${CFLAGS}" --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i686-pc-linux-gnu --with-user=root --with-group=root


You wouldn't need that unless you were compiling the package yourself.

_________________
www.busygamemaster.com
Back to top
View user's profile Send private message 
yorkiesnorkie


Joined: 04 Jun 2007
Posts: 505
Location: George's Island

PostPosted: Sat 05 Jan 2013, 08:00    Post subject:  

Ok, the pet is for this version of Puppy Linux http://bkhome.org/blog/?viewDetailed=03063 which is why the pet is telling you its missing a lib file. I'd install Precise Puppy 5.4, and then install the pet. You'll be up to date that way.
_________________
www.busygamemaster.com
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [11 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Off-Topic Area » Security
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0627s ][ Queries: 12 (0.0038s) ][ GZIP on ]